Bug 39902 - HeaderName directive breaks mod_filter somehow
Summary: HeaderName directive breaks mod_filter somehow
Status: REOPENED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_autoindex (show other bugs)
Version: 2.4.25
Hardware: PC Linux
: P2 normal with 4 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2006-06-27 00:42 UTC by Philip Gladstone
Modified: 2018-11-08 11:16 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Gladstone 2006-06-27 00:42:22 UTC
I have mod_autoindex and mod_filter in use. 

Filter configuration:

FilterDeclare compressit 
FilterProtocol compressit change=yes
FilterProvider compressit DEFLATE resp=Content-Encoding !$gzip
FilterProvider compressit DEFLATE resp=Content-Type $text/html
FilterProvider compressit DEFLATE resp=Content-Type $text/plain
FilterProvider compressit DEFLATE resp=Content-Type $text/xml
FilterProvider compressit DEFLATE resp=Content-Type $application/x-javascript
FilterChain compressit


If I have a directory with a .htaccess file that contains

HeaderName foo.html

then the directory listing is correctly displayed in the browser, *but* the
content is not compressed. If the HeaderName directive is commented out of the
.htaccess file, then the directory listing *is* compressed by the mod_filter /
mod_deflate combination.

A quick look at the code in mod_autoindex.c reveals some alarming comments in
function 'emit_head' which is where I suspect that the problem lies. I have no
idea what the fix is.......
Comment 1 Sven Strickroth 2013-08-25 11:18:37 UTC
According to the source, this still applies to 2.4.6.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:00 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.
Comment 3 Sven Strickroth 2018-11-08 11:16:55 UTC
I was able to reproduce this issue with Apache/2.4.25 (Debian).